
QGIS Application - Bug report #2330

Loading missing layer (shapefile) requires changing the "Files of type" setting

2009-12-28 05:07 PM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12390

Description

When a project is opened and a missing layer is recognized, at least for shapefiles, the layer id is appended to the file name, so a

matching file cannot be selected. E.g., the file being searched for in the dialog will be "File of type: Site_Areas.shp|layerid=0" whereas the

file name is actually "Site_Areas.shp". The appended layer information seems to be masking the file in the open file dialog requiring the

user to switch to all shapefiles in order to make the file selectable.

History

#1 - 2010-06-12 02:33 AM - Paolo Cavallini

Still true?

#2 - 2010-06-13 02:38 PM - John Tull

This is still a problem. I tried for a better title also.

The open file dialog populates the "Files of type" field with something like "my_shapefile.shp|layerid=0". Instead, it should only have the "my_shapefile.shp"

without the layerid information. As a consequence, you have to change the "files of type" field every time you encounter a missing shapefile warning.

#3 - 2010-11-12 01:52 AM - Volker Fröhlich

Looks fine on Linux with 1.6.

#4 - 2010-11-12 01:56 AM - Paolo Cavallini

jctull, can you please test and close it if appropriate?

#5 - 2010-11-12 02:42 PM - John Tull

This problem persists in the current trunk.

#6 - 2011-03-05 11:26 AM - John Tull

Still an issue in trunk.
#7 - 2011-04-16 06:26 AM - Maxim Dubinin

- Resolution set to worksforme

- Status changed from Open to Closed

seems like this is not an issue anymore with new missing layers dialog

tested under [[WinXP]], commit:f42443c9 (SVN r15701)

please reopen if necessary
